<script lang="ts">
  import Dot from "./Dot.svg.svelte";
  import { EArea } from "../enums/EArea";
  import Logo from "./Logo.svg.svelte";
  import { areaStore } from '../stores';

  let area: EArea;

  areaStore.subscribe(value => area = value);
</script>

<section class="duration-200 p-16 sm:p-20 lg:p-24 xl:p-28 2xl:p-32 overflow-hidden relative">
  <article class="duration-200 space-y-12 sm:space-y-14 lg:space-y-16 xl:space-y-20 2xl:space-y-24 relative z-10">
    <header class="font-bold">
      <h1 class="duration-200 text-5xl sm:text-6xl lg:text-7xl xl:text-8xl 2xl:text-9xl">Four Info</h1>
      <h1 class="duration-200 text-5xl sm:text-6xl lg:text-7xl xl:text-8xl 2xl:text-9xl flex items-baseline gap-4">Tech <Dot {area} classes="sm:w-3 sm:h-3 xl:w-4 xl:h-4 2xl:w-6 2xl:h-6"/></h1>
    </header>
    <p class="duration-200 text-lg sm:text-xl lg:text-2xl xl:text-3xl 2xl:text-4xl">
      Открытый код. Открытые возможности.<br>
      Наша экосистема — Ваша свобода.
    </p>
  </article>
  <Logo {area} classes="hidden md:block md:w-28 h-28 lg:w-80 lg:h-80 xl:w-96 xl:h-96 2xl:w-[720px] 2xl:h-[720px] absolute lg:bottom-[-15%] right-24"/>
</section>